<?php
session_start();
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</head>
<?php

//Ας δούμε τι στέλνει η φόρμα

//print_r ($_POST);
//print_r ($_SESSION);
//exit;
/*
Δοκιμάστε και την $_GET αλλάζοντας αντίστοιχα τη μέθοδο στη φόρμα
*/


//Ελέγχω αν ο χρήστης έχει κάνει ήδη login
//Δηλαδή αν έχει δημιουργηθεί η ειδική μεταβλητή $_SESSION
if (isset($_SESSION['session_username']))
{
	echo "Έχεις κάνει ήδη login <b>".$_SESSION['session_username']."</b>! Μια φορά αρκεί.";
	echo "<br><a href='logoff.php'>Log off</a>";
}
//Αν δεν έχει κάνει login ήδη, ελέγχω τι έφερε η φόρμα
else
{
	//ελέγχω αν το μήκος των δεδομένων είναι μικρότερο του 6 με τη συνάρτηση strlen
	if (strlen($_POST['username']) < 6 || strlen($_POST['password']) < 6)
	{
		echo "<h2>Δεν έχετε δώσει τα σωστά δεδομένα!</h2>";
		echo "<br /><a href='login_form.php'><img src='meme.png' /></a>";
	}
	else
	{
		//Αν όλα είναι ΟΚ δημιουργώ το session, δηλαδή κάνω login τον χρήστη.
		$_SESSION['session_username'] = $_POST['username'];
		echo "Welcome <b>".$_SESSION['session_username'];
		echo "<br><a href='logoff.php'>Log off</a>";
	}
}

?>
	